Ticket #40472

CompareMSExcelFilesの画像比較時にエラーが発生

Open Date: 2020-06-08 20:40 Last Update: 2020-06-11 19:08

Reporter:
Owner:
(None)
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

Version 2.16.6.1 Japanese + jp-1 X64

プラグインのCompareMSExcelFilesで画像化して比較する際に発生するバグについてです。

現象としては、画像化したpngで「Error1004: データを貼り付けできません。」と表示されます。

推測ですが、画像化する際にCPUに負荷がかかったりメモリ不足だったりして 正しくコピーできていない状態でペーストされているのではないかと考えています。 決まった条件で発生するわけではないので再現が難しいかもしれませんが、ある程度の頻度で発生します。

試しに、スクリプト内のコピーとペーストの間に以下で適当に遅延を入れてみたところ発生しなくなりました。 「CreateObject("WScript.Shell").Run "ping.exe localhost -n 1",0,True」

Ticket History (3/4 Histories)

2020-06-08 20:40 Updated by: dedicatus
  • New Ticket "CompareMSExcelFilesの画像比較時にエラーが発生" created
2020-06-08 20:54 Updated by: sdottaka
Comment

ご連絡ありがとうございます。 たまにこのエラーが発生すると気づいていたのですが、対処方法がわからず困っていました。 次のバージョンでは、もしこのエラーが発生したら数百ミリ?遅延してからリトライし、またエラーならばあきらめるという風にしようかと思っています。

2020-06-10 22:49 Updated by: sdottaka
Comment

修正を行いプレリリース版2.16.6+-jp-7をアップロードしています。

https://osdn.net/projects/winmerge-jp/releases/73156

2020-06-11 19:08 Updated by: sdottaka
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login